Subject: Re: bug#8183: isearch yanking

From: Lennart Borgman <[email-masked]>
Date: Sun, 6 Mar 2011 01:27:09 +0100

On Sun, Mar 6, 2011 at 1:23 AM, Chong Yidong <[email-masked]> wrote:
> [email-masked] writes:
>
>> I just spent a while trying to track down a bug in isearch.el that
>> turned out to be a "feature".  C-y has been hijacked to do some weird
>> thing where it pastes the entire next line of the buffer instead of
>> the kill ring. (Wacky!)
>
>> Fortunately, the fix for this is easy. In isearch.el, just change the
>> line that defines C-y as isearch-yank-line to isearch-yank-kill.
>
> This has been bugging me, and has been discussed before, e.g.
>
>  http://lists.gnu.org/archive/html/emacs-devel/2008-11/msg00485.html
>
> Back in that 2008 thread, Juri Linkov suggested exactly this change, and
> moving isearch-yank-line over to M-s C-e.
>
> Nothing seemed to come of that suggestion, maybe due to simple inertia.
> I now propose to make it so.  Any objections?

It might have stalled because we where discussing other changes to
isearch keymap, but I can see no reason to not make the proposed
change here.